<?xml version="1.0" encoding="utf-8"?>
<LinearLayout android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical"
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:background="?attr/primaryBackgroundColor">

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/appbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:theme="@style/Widget.AppCompat.SearchView">

        <com.google.android.material.appbar.MaterialToolbar
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="?attr/primaryBackgroundColor">

            <ImageView
                android:id="@+id/close"
                android:layout_width="@dimen/close_button_size"
                android:layout_height="@dimen/close_button_size"
                android:layout_marginRight="15dp"
                android:layout_marginLeft="15dp"
                android:gravity="center_vertical"
                android:contentDescription="@string/close"
                android:src="@drawable/ic_close" />

            <TextView
                android:id="@+id/toolbar_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:text="@string/pageTitleCreateTeam"
                android:textColor="?attr/primaryTextColor"
                android:maxLines="1"
                android:textSize="20sp" />

        </com.google.android.material.appbar.MaterialToolbar>

    </com.google.android.material.appbar.AppBarLayout>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="?attr/primaryBackgroundColor">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:padding="16dp"
            android:orientation="vertical">

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/teamNameLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:boxBackgroundColor="?attr/inputBackgroundColor"
                android:textColorHint="?attr/hintColor"
                app:hintTextColor="?attr/hintColor"
                app:boxStrokeErrorColor="@color/darkRed"
                android:layout_marginTop="8dp"
                android:layout_marginBottom="8dp"
                app:endIconMode="clear_text"
                app:endIconTint="?attr/iconsColor"
                android:hint="@string/newTeamTitle">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/teamName"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textColor="?attr/inputTextColor"
                    android:textColorHighlight="?attr/hintColor"
                    android:textColorHint="?attr/hintColor"
                    android:inputType="textCapSentences"
                    android:textSize="16sp" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/teamDescLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:boxBackgroundColor="?attr/inputBackgroundColor"
                android:textColorHint="?attr/hintColor"
                app:hintTextColor="?attr/hintColor"
                app:boxStrokeErrorColor="@color/darkRed"
                android:layout_marginTop="8dp"
                android:layout_marginBottom="8dp"
                app:endIconMode="clear_text"
                app:endIconTint="?attr/iconsColor"
                app:counterEnabled="true"
                app:counterMaxLength="255"
                app:counterTextColor="?attr/inputTextColor"
                android:hint="@string/newTeamDesc">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/teamDesc"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textColor="?attr/inputTextColor"
                    android:textColorHighlight="?attr/hintColor"
                    android:textColorHint="?attr/hintColor"
                    android:textSize="16sp" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/teamPermissionLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:boxBackgroundColor="?attr/inputBackgroundColor"
                android:textColorHint="?attr/hintColor"
                app:hintTextColor="?attr/hintColor"
                app:boxStrokeErrorColor="@color/darkRed"
                android:layout_marginTop="8dp"
                android:layout_marginBottom="8dp"
                android:hint="@string/newTeamPermission">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/teamPermission"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textColor="?attr/inputTextColor"
                    android:textColorHighlight="?attr/hintColor"
                    android:textColorHint="?attr/hintColor"
                    android:maxLines="1"
                    android:focusable="false"
                    android:textSize="16sp" />

            </com.google.android.material.textfield.TextInputLayout>

            <TextView
                android:id="@+id/teamPermissionDetail"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textColor="?attr/primaryTextColor"
                android:textSize="12sp"
                android:gravity="start"
                android:visibility="gone" />

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/teamAccessControlsLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:boxBackgroundColor="?attr/inputBackgroundColor"
                android:textColorHint="?attr/hintColor"
                app:hintTextColor="?attr/hintColor"
                app:boxStrokeErrorColor="@color/darkRed"
                android:layout_marginTop="8dp"
                android:layout_marginBottom="8dp"
                android:hint="@string/newTeamAccessControls">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/teamAccessControls"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textColor="?attr/inputTextColor"
                    android:textColorHighlight="?attr/hintColor"
                    android:textColorHint="?attr/hintColor"
                    android:maxLines="1"
                    android:focusable="false"
                    android:textSize="16sp" />

            </com.google.android.material.textfield.TextInputLayout>

            <TextView
                android:id="@+id/teamAccessControlsArray"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:visibility="gone" />

            <Button
                android:id="@+id/createTeamButton"
                android:layout_width="match_parent"
                android:layout_height="60dp"
                android:layout_marginTop="8dp"
                android:text="@string/newCreateButtonCopy"
                android:textColor="@color/btnTextColor" />

        </LinearLayout>

    </ScrollView>

</LinearLayout>
